Skip to main content
POST
Create Journal

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
reference
string | null

Reference number for the journal

Example:

"JRN-2024-001"

memo
string | null

Memo or description for the journal

Example:

"Monthly closing entries"

currency_code
object | null

Currency code for the journal and all lines

exchange_rate
number | null

Exchange rate to company base currency to apply to all lines

Example:

1

transaction_date
string<date-time> | null

Date of the journal transaction

Example:

"2024-03-20T10:00:00Z"

lines
object[] | null

List of journal lines

Response

The journal was created successfully.

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required